Package ghidra.app.util.bin.format.objc2

# Class ObjectiveC2_Constants

java.lang.Object
ghidra.app.util.bin.format.objc2.ObjectiveC2_Constants

public final class ObjectiveC2_Constants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CATEGORY`
  `static final CategoryPath`
  `CATEGORY_PATH`
  `static final String`
  `NAMESPACE`
  `static final String`
  `OBJC2_CATEGORY_LIST`
  Objective-C 2 category list.
  `static final String`
  `OBJC2_CLASS_LIST`
  Objective-C 2 class list.
  `static final String`
  `OBJC2_CLASS_REFS`
  Objective-C 2 class references.
  `static final String`
  `OBJC2_CONST`
  Objective-C 2 constants.
  `static final String`
  `OBJC2_DATA`
  `static final String`
  `OBJC2_IMAGE_INFO`
  `static final String`
  `OBJC2_MESSAGE_REFS`
  `static final String`
  `OBJC2_NON_LAZY_CLASS_LIST`
  Objective-C 2 non-lazy class list
  `static final String`
  `OBJC2_PREFIX`
  The name prefix of all Objective-C 2 sections.
  `static final String`
  `OBJC2_PROTOCOL_LIST`
  `static final String`
  `OBJC2_PROTOCOL_REFS`
  `static final String`
  `OBJC2_SELECTOR_REFS`
  `static final String`
  `OBJC2_SUPER_REFS`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ObjectiveC2_Constants()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static final List<String>`
  `getObjectiveC2SectionNames()`
  Returns a list containing valid Objective-C 2.0 section names.
  `static final boolean`
  `isObjectiveC2(Program program)`
  Returns true if this program contains Objective-C 2.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### OBJC2_PREFIX

    public static final String OBJC2_PREFIX
    The name prefix of all Objective-C 2 sections.
    See Also:
      - Constant Field Values

  - ### OBJC2_CATEGORY_LIST

    public static final String OBJC2_CATEGORY_LIST
    Objective-C 2 category list.
    See Also:
      - Constant Field Values

  - ### OBJC2_CLASS_LIST

    public static final String OBJC2_CLASS_LIST
    Objective-C 2 class list.
    See Also:
      - Constant Field Values

  - ### OBJC2_CLASS_REFS

    public static final String OBJC2_CLASS_REFS
    Objective-C 2 class references.
    See Also:
      - Constant Field Values

  - ### OBJC2_CONST

    public static final String OBJC2_CONST
    Objective-C 2 constants.
    See Also:
      - Constant Field Values

  - ### OBJC2_DATA

    public static final String OBJC2_DATA
    See Also:
      - Constant Field Values

  - ### OBJC2_IMAGE_INFO

    public static final String OBJC2_IMAGE_INFO
    See Also:
      - Constant Field Values

  - ### OBJC2_MESSAGE_REFS

    public static final String OBJC2_MESSAGE_REFS
    See Also:
      - Constant Field Values

  - ### OBJC2_NON_LAZY_CLASS_LIST

    public static final String OBJC2_NON_LAZY_CLASS_LIST
    Objective-C 2 non-lazy class list
    See Also:
      - Constant Field Values

  - ### OBJC2_PROTOCOL_LIST

    public static final String OBJC2_PROTOCOL_LIST
    See Also:
      - Constant Field Values

  - ### OBJC2_PROTOCOL_REFS

    public static final String OBJC2_PROTOCOL_REFS
    See Also:
      - Constant Field Values

  - ### OBJC2_SELECTOR_REFS

    public static final String OBJC2_SELECTOR_REFS
    See Also:
      - Constant Field Values

  - ### OBJC2_SUPER_REFS

    public static final String OBJC2_SUPER_REFS
    See Also:
      - Constant Field Values

  - ### NAMESPACE

    public static final String NAMESPACE
    See Also:
      - Constant Field Values

  - ### CATEGORY

    public static final String CATEGORY
    See Also:
      - Constant Field Values

  - ### CATEGORY_PATH

    public static final CategoryPath CATEGORY_PATH

- ## Constructor Details

  - ### ObjectiveC2_Constants

    public ObjectiveC2_Constants()

- ## Method Details

  - ### getObjectiveC2SectionNames

    public static final List<String> getObjectiveC2SectionNames()
    Returns a list containing valid Objective-C 2.0 section names.
    Returns:
      a list containing valid Objective-C 2.0 section names

  - ### isObjectiveC2

    public static final boolean isObjectiveC2(Program program)
    Returns true if this program contains Objective-C 2.
    Parameters:
      `program` - the program to check
    Returns:
      true if the program contains Objective-C 2.